Page MenuHomePhabricator

Getting mobile editing data for a funder's report
Closed, ResolvedPublic

Description

Hi Neil. I'm doing a funding report that requires me to report monthly mobile editing numbers from July 2015 to April 2016. In a report last year to the same funder -- with your help -- I broke it down into mobile app edits and mobile web edits from July 2014 to April 2015. Can I get the same monthly breakdown into mobile app and mobile web edits for July 2015 to April 2016? I'd need the numbers by Friday, May 27 (11 days from now) though sooner would be great. Thanks so much! -- Jonathan

Event Timeline

JCuriel created this task.May 16 2016, 11:12 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 16 2016, 11:12 PM

Thanks for giving me all the details in your request, Jonathan!

I'm happy to do this. I'll have to do it using a somewhat different method from last time because we changed some of the underlying data infrastructure in the meantime; the numbers should be pretty much the same, but just in case I'll run them from July 2014 to April 2016 this time.

nshahquinn-wmf triaged this task as Medium priority.May 16 2016, 11:42 PM
nshahquinn-wmf triaged this task as Medium priority.
nshahquinn-wmf moved this task from Backlog to Next up on the Contributors-Analysis board.

Thanks, Neil! Really appreciate it.

Done! I put the data in a Google spreadsheet.

It does look slightly different from the numbers I got in T119525. Two sources of that difference are that (1) this time, I included edits from all projects, not just from Wikipedias and (2) these numbers do not include edits to pages which have since been deleted. There may be other reasons as well.

Let me know if you have any other questions.

Technical details

I ran this SQL query through all the databases using multiquery, then aggregated the results into global numbers for each month using pandas.

SELECT
	database() as "wiki",
	LEFT(rev_timestamp, 6) as "month",
	SUM(IF(ct_tag = "mobile web edit", 1, 0)) as "mobile web edits",
	SUM(IF(ct_tag = "mobile app edit", 1, 0)) as "mobile app edits"
FROM change_tag
LEFT JOIN revision
ON 
	ct_rev_id = rev_id AND
	ct_tag IN ("mobile web edit", "mobile app edit")
WHERE
	rev_timestamp >= "201407" AND
	rev_timestamp < "201605"
GROUP BY LEFT(rev_timestamp, 6);
nshahquinn-wmf closed this task as Resolved.May 18 2016, 7:39 PM

Thanks so much, Neil. It's super helpful to get this so quickly!

nshahquinn-wmf reopened this task as Open.May 18 2016, 10:34 PM

I'm also going to get Jonathan a list of mobile edits matching some specific criteria that he can draw humanizing examples from.

nshahquinn-wmf closed this task as Resolved.May 19 2016, 6:28 PM

Done and emailed to Jonathan.

nshahquinn-wmf raised the priority of this task from Medium to Needs Triage.Mar 30 2018, 10:28 AM
nshahquinn-wmf moved this task from Neil's in progress to Done on the Contributors-Analysis board.